Name:        hermit-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/Hermit.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 HurmitNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-BoldItalic.otf
install -Dm644 HurmitNerdFontMono-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-BoldItalic.otf
install -Dm644 HurmitNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-BoldItalic.otf
install -Dm644 HurmitNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-Bold.otf
install -Dm644 HurmitNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Bold.otf
install -Dm644 HurmitNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Bold.otf
install -Dm644 HurmitNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-Italic.otf
install -Dm644 HurmitNerdFontMono-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Italic.otf
install -Dm644 HurmitNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Italic.otf
install -Dm644 HurmitNerdFont-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-LightItalic.otf
install -Dm644 HurmitNerdFontMono-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-LightItalic.otf
install -Dm644 HurmitNerdFontPropo-LightItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-LightItalic.otf
install -Dm644 HurmitNerdFont-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-Light.otf
install -Dm644 HurmitNerdFontMono-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Light.otf
install -Dm644 HurmitNerdFontPropo-Light.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Light.otf
install -Dm644 HurmitNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFont-Regular.otf
install -Dm644 HurmitNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Regular.otf
install -Dm644 HurmitNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/HurmitNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-BoldItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/HurmitNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Italic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFont-LightItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-LightItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-LightItalic.otf
%{_datadir}/fonts/%{name}/HurmitNerdFont-Light.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Light.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Light.otf
%{_datadir}/fonts/%{name}/HurmitNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/HurmitNerdFontPropo-Regular.otf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
